package com.dstsystems.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Version;

/**
 * A class that manages a Product Sponsor.
 * 
 * @author dt19643
 */
@Entity
@Table(name = "S23")
@NamedQuery( name = "getProductSponsors", query = "SELECT pse FROM ProductSponsorEntity pse ORDER BY pse.companyName" )
public class ProductSponsorEntity implements Serializable
{
    private static final long serialVersionUID = -5528327592456146046L;

    @Id
    @Column(name = "PRODUCT_SPONSOR_ID")
    private BigDecimal productSponsorId;

// Commented out because JAXB cannot handle this time of object.  
//    @Version
//    @Column(name = "LAST_MNT_DATE_TIME")
//    private Timestamp lastMntDateTime;

    @Column(name = "LAST_MNT_OPID")
    private String lastMntOpId;

    @Column(name = "PRD_SPSR_EXTERNAL_ID")
    private String externalId;

    @Column(name = "PRD_SPSR_COMPANY_NM")
    private String companyName;

    @Column(name = "PRD_SPSR_ADDR_LN_1_TX")
    private String addressLine1;

    @Column(name = "PRD_SPSR_ADDR_LN_2_TX")
    private String addressLine2;

    @Column(name = "PRD_SPSR_ADDR_LN_3_TX")
    private String addressLine3;

    @Column(name = "PRD_SPSR_ADDR_LN_4_TX")
    private String addressLine4;

    @Column(name = "PRD_SPSR_ADDR_LN_5_TX")
    private String addressLine5;

    @Column(name = "PRD_SPSR_ADDR_CITY_NM")
    private String city;

    @Column(name = "PRD_SPSR_ADDR_STE_CNY_ID")
    private BigDecimal stateCountryId;

    @Column(name = "ZIP_CODE_DELIVERY_OFFICE")
    private BigDecimal zip;

    @Column(name = "ZIP_CODE_SUFFIX")
    private BigDecimal zipSuffix;

    @Column(name = "ZIP_CODE_DELIVERY_SEQ_NBR")
    private BigDecimal zipSeqNumber;

    @Column(name = "PRD_SPSR_PHONE_NBR_TX")
    private String phoneNumber;

    @Column(name = "PRD_SPSR_URL_ADDRESS_TX")
    private String urlAddress;

    @Column(name = "PRD_SPSR_FAX_PHONE_NBR_TX")
    private String faxNumber;

    public BigDecimal getProductSponsorId()
    {
        return productSponsorId;
    }

    public void setProductSponsorId( BigDecimal productSponsorId )
    {
        this.productSponsorId = productSponsorId;
    }
//
//    public Timestamp getLastMntDateTime()
//    {
//        return lastMntDateTime;
//    }
//
//    public void setLastMntDateTime( Timestamp lastMntDateTime )
//    {
//        this.lastMntDateTime = lastMntDateTime;
//    }

    public String getLastMntOpId()
    {
        return lastMntOpId;
    }

    public void setLastMntOpId( String lastMntOpId )
    {
        this.lastMntOpId = lastMntOpId;
    }

    public String getExternalId()
    {
        return externalId;
    }

    public void setExternalId( String externalId )
    {
        this.externalId = externalId;
    }

    public String getCompanyName()
    {
        return companyName;
    }

    public void setCompanyName( String companyName )
    {
        this.companyName = companyName;
    }

    public String getAddressLine1()
    {
        return addressLine1;
    }

    public void setAddressLine1( String addressLine1 )
    {
        this.addressLine1 = addressLine1;
    }

    public String getAddressLine2()
    {
        return addressLine2;
    }

    public void setAddressLine2( String addressLine2 )
    {
        this.addressLine2 = addressLine2;
    }

    public String getAddressLine3()
    {
        return addressLine3;
    }

    public void setAddressLine3( String addressLine3 )
    {
        this.addressLine3 = addressLine3;
    }

    public String getAddressLine4()
    {
        return addressLine4;
    }

    public void setAddressLine4( String addressLine4 )
    {
        this.addressLine4 = addressLine4;
    }

    public String getAddressLine5()
    {
        return addressLine5;
    }

    public void setAddressLine5( String addressLine5 )
    {
        this.addressLine5 = addressLine5;
    }

    public String getCity()
    {
        return city;
    }

    public void setCity( String city )
    {
        this.city = city;
    }

    public BigDecimal getStateCountryId()
    {
        return stateCountryId;
    }

    public void setStateCountryId( BigDecimal stateCountryId )
    {
        this.stateCountryId = stateCountryId;
    }

    public BigDecimal getZip()
    {
        return zip;
    }

    public void setZip( BigDecimal zip )
    {
        this.zip = zip;
    }

    public BigDecimal getZipSuffix()
    {
        return zipSuffix;
    }

    public void setZipSuffix( BigDecimal zipSuffix )
    {
        this.zipSuffix = zipSuffix;
    }

    public BigDecimal getZipSeqNumber()
    {
        return zipSeqNumber;
    }

    public void setZipSeqNumber( BigDecimal zipSeqNumber )
    {
        this.zipSeqNumber = zipSeqNumber;
    }

    public String getPhoneNumber()
    {
        return phoneNumber;
    }

    public void setPhoneNumber( String phoneNumber )
    {
        this.phoneNumber = phoneNumber;
    }

    public String getUrlAddress()
    {
        return urlAddress;
    }

    public void setUrlAddress( String urlAddress )
    {
        this.urlAddress = urlAddress;
    }

    public String getFaxNumber()
    {
        return faxNumber;
    }

    public void setFaxNumber( String faxNumber )
    {
        this.faxNumber = faxNumber;
    }
}